pskc_get_key_data_b64secret(3)

NAME
pskc_get_key_data_b64secret - API function

SYNOPSIS
#include <pskc.h>

const char * pskc_get_key_data_b64secret(pskc_key_t * key);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

DESCRIPTION
Get the PSKC KeyPackage Key Data Secret value in base64 as a zero-terminated string.

RETURNS
a constant string (must not be deallocated) holding the content of length *len, or NULL if not set.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.